Bug 10430 - make xconfig does not work for kernel-sources-2.3.99-i386.rpm
Summary: make xconfig does not work for kernel-sources-2.3.99-i386.rpm
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-30 07:04 UTC by Hardy Mayer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-15 11:49:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hardy Mayer 2000-03-30 07:04:31 UTC
The following error appears:
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.3.99/scripts'
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkparse.o
tkparse.cgcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o
tkcond.o tkcond.c
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkgen.o
tkgen.c
gcc -o tkparse tkparse.o tkcond.o tkgen.o
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
statement not in menu
make[1]: *** [kconfig.tk] Error 1
make[1]: Leaving directory `/usr/src/linux-2.3.99/scripts'
make: *** [xconfig] Error 2

Make menuconfig works fine.
I downloaded the full (non-rpm)  sources from kernel.org and this problem
does not occur.

Comment 1 Hardy Mayer 2000-03-30 17:19:59 UTC
I discovered that a similar bug was reported as Bug 9901 for RH 6.2

Comment 2 SB 2000-05-15 11:49:59 UTC
Download linux-2.3.99-pre8.tar.bz2 from kernel.org and use those sources.  make
xconfig works and it is a more stable release than rawhide package anyways.  Even
after running successful make menuconfig on the RH package the kernel still
failed to compile when I did a bzlilo whereas the sources from kernel.org don't.

-Stan Bubrouski

Comment 3 Michael K. Johnson 2000-07-31 20:54:51 UTC
Fixed in the current kernel sources.


Note You need to log in before you can comment on or make changes to this bug.